## php-async-aws-dynamo-db 3.8.0

=== Makefile ===
.EXPORT_ALL_VARIABLES:

initialize: start-docker
start-docker:
	docker start async_aws_localstack && exit 0 || \
	docker start async_aws_localstack-dynamodb && exit 0 || \
	docker pull localstack/localstack:3.0.0 && \
	docker run -d -p 4575:4566 -e SERVICES=dynamodb -v /var/run/docker.sock:/var/run/docker.sock --name async_aws_localstack-dynamodb localstack/localstack:3.0.0 && \
	docker run --rm --link async_aws_localstack-dynamodb:localstack martin/wait -c localstack:4566

test: initialize
	./vendor/bin/simple-phpunit

clean: stop-docker
stop-docker:
	docker stop async_aws_localstack-dynamodb || true
	docker rm async_aws_localstack-dynamodb || true

=== debian/changelog ===
php-async-aws-dynamo-db (3.8.0-1) unstable; urgency=medium

  * Initial release (php-symfony-amazon-dynamo-db-lock dependency)

 -- David Prévot <taffit@debian.org>  Wed, 08 Oct 2025 18:38:56 +0200

=== debian/control ===
Source: php-async-aws-dynamo-db
Section: php
Priority: optional
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: David Prévot <taffit@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-phpcomposer,
               php-async-aws-core <!nocheck>,
               php-uuid <!nocheck>,
               phpab,
               phpunit <!nocheck>
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/php-team/pear/php-async-aws-dynamo-db.git
Vcs-Browser: https://salsa.debian.org/php-team/pear/php-async-aws-dynamo-db
Homepage: https://async-aws.com/clients/dynamodb.html

Package: php-async-aws-dynamo-db
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Description: AsyncAws DynamoDb Client - AsyncAws component
 ${phpcomposer:description}.
 .
 API client for DynamoDb.
 .
 AsyncAws is a wrapper around Symfony's HTTP client and makes sure
 the asynchronous features are properly used. AsyncAws also handles
 authentication, exceptions and provide input and result objects.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	phpabtpl composer.json > debian/autoload.php.tpl
	phpab \
		--output src/autoload.php \
		--template debian/autoload.php.tpl \
		src
	mkdir --parents vendor
	phpabtpl \
		--require-file ../src/autoload.php \
		> debian/autoload.tests.php.tpl
	phpab \
		--output vendor/autoload.php \
		--template debian/autoload.tests.php.tpl \
		tests

override_dh_auto_test:
	phpunit --exclude-filter Integration

=== debian/tests/control ===
Restrictions: allow-stderr, rw-build-tree
Depends: phpab, phpunit, pkg-php-tools, @
Test-Command: mkdir -p vendor && phpabtpl --require async-aws/dynamo-db > debian/autoload.tests.php.tpl && phpab -o vendor/autoload.php -t debian/autoload.tests.php.tpl tests && phpunit --exclude-filter Integration

=== debian/watch ===
version=4
options=uversionmangle=s/-?([^\d.]+)/~$1/;tr/A-Z/a-z/,\
mode=git,gitmode=full,gitexport=all \
https://github.com/async-aws/dynamo-db \
refs/tags/v?(\d.+)

## php-async-aws-dynamo-db 3.10.0

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	docker run --rm --link async_aws_localstack-dynamodb:localstack martin/wait -c localstack:4566
 
 test: initialize
-	./vendor/bin/simple-phpunit
+	./vendor/bin/phpunit
 
 clean: stop-docker
 stop-docker:

=== debian/changelog ===
php-async-aws-dynamo-db (3.10.0-1) unstable; urgency=medium

  [ Jérémy Derussé ]
  * Fix camel case format for ignored case (#2000)
  * Remove unnecessary `use` (#2023)
  * Add UNKNOWN_TO_SDK value to enums (#1998)
  * Remove unecesary ext-json dependency (#2031)
  * prepare next release

  [ Christophe Coevoet ]
  * Drop support for PHP lower than 8.2 (#1967)
  * Migrate the testsuite to PHPUnit 11 (#1977)
  * Use a more stable sorting for the region metadata (#2014)

  [ David Prévot ]
  * Convert d/watch to version 5
  * Fix debian/gbp.conf
  * Use php-symfony-phpunit-bridge and php-symfony-error-handler for tests
  * Update Standards-Version to 4.7.3
  * Breaks and replaces php-symfony-amazon-dynamo-db-lock (<< 7.4.6)

 -- David Prévot <taffit@debian.org>  Mon, 16 Feb 2026 21:41:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: php-async-aws-dynamo-db
 Section: php
-Priority: optional
 Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: David Prévot <taffit@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-phpcomposer,
                php-async-aws-core <!nocheck>,
+               php-symfony-error-handler <!nocheck>,
+               php-symfony-phpunit-bridge <!nocheck>,
                php-uuid <!nocheck>,
                phpab,
                phpunit <!nocheck>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-async-aws-dynamo-db.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-async-aws-dynamo-db
 Homepage: https://async-aws.com/clients/dynamodb.html
@@ -18,8 +19,11 @@
 Architecture: all
 Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
 Suggests: ${phpcomposer:Debian-suggest}
-Replaces: ${phpcomposer:Debian-replace}
-Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
+Replaces: php-symfony-amazon-dynamo-db-lock (<< 7.4.6),
+          ${phpcomposer:Debian-replace}
+Breaks: php-symfony-amazon-dynamo-db-lock (<< 7.4.6),
+        ${phpcomposer:Debian-conflict},
+        ${phpcomposer:Debian-replace}
 Provides: ${phpcomposer:Debian-provide}
 Description: AsyncAws DynamoDb Client - AsyncAws component
  ${phpcomposer:description}.

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,8 @@
 		src
 	mkdir --parents vendor
 	phpabtpl \
+		--require symfony/error-handler \
+		--require symfony/phpunit-bridge \
 		--require-file ../src/autoload.php \
 		> debian/autoload.tests.php.tpl
 	phpab \

=== debian/tests/control ===
Restrictions: allow-stderr, rw-build-tree
Depends: php-symfony-error-handler,
         php-symfony-phpunit-bridge,
         phpab,
         phpunit,
         pkg-php-tools,
         @
Test-Command: mkdir -p vendor && phpabtpl --require symfony/error-handler --require symfony/phpunit-bridge --require async-aws/dynamo-db > debian/autoload.tests.php.tpl && phpab -o vendor/autoload.php -t debian/autoload.tests.php.tpl tests && phpunit --exclude-filter Integration

=== debian/watch ===
Version: 5

Source: https://github.com/async-aws/dynamo-db
Matching-Pattern: refs/tags/v?(\d.+)
Gitexport: all
Gitmode: full
Mode: git
Uversionmangle: s/-?([^\d.]+)/~$1/;tr/A-Z/a-z/
